Bug 172366 - multimedia/pitivi: Update to latest (request)
Summary: multimedia/pitivi: Update to latest (request)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ben Woods
URL: https://reviews.freebsd.org/D17042
Keywords: needs-patch, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2012-10-05 18:50 UTC by Olivier Duchateau
Modified: 2018-12-11 20:33 UTC (History)
6 users (show)

See Also:
woodsb02: maintainer-feedback? (kwm)


Attachments
file.diff (38.85 KB, patch)
2012-10-05 18:50 UTC, Olivier Duchateau
no flags Details | Diff
pitivi.diff (40.48 KB, patch)
2012-10-21 22:32 UTC, Olivier Duchateau
no flags Details | Diff
pitivi.diff (21.53 KB, patch)
2012-10-22 09:11 UTC, Olivier Duchateau
no flags Details | Diff
svn-diff-pitivi-0.99 (46.49 KB, patch)
2018-01-15 10:04 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff-pitivi-0.99 (46.49 KB, patch)
2018-01-15 10:56 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau freebsd_committer 2012-10-05 18:50:15 UTC
- Trim header
- Use USE_PKGCONFIG
- Use OptionsNG for additional options (FFMPEG, FREI0R and NUMPY)

FFMEG is multimedia/gstreamer-ffmpeg, for additional codecs
FREI0R is graphics/frei0r-plugins-gavl, for support of video effects (PiTiVi uses scaleOtilt filter)
NUMPY is math/py-numpy, for autoalign feature

Now, python files are stored into PYTHON_SITELIBDIR.

Build logs on RedPorts: http://redports.org/buildarchive/20121005153505-33948/

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-10-05 18:50:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kwm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Koop Mast 2012-10-18 11:30:11 UTC
What is the reason behind the moving of the python files to the 
python_sitelibdir location? I rather see that this gets done via upstream.
Comment 3 Olivier Duchateau 2012-10-21 22:32:55 UTC
On Thu, 18 Oct 2012 12:30:11 +0200
Koop Mast <kwm@rainbow-runner.nl> wrote:

> What is the reason behind the moving of the python files to the 
> python_sitelibdir location? I rather see that this gets done via upstream.
>

I made an another patch, where Python files are in $LOCALBASE/lib/pitivi-$PORTVERSION. I open bug [1] (#686588) to change location.

Another bug (#686586) is also opened [2] for translation, which doesn't work under FreeBSD.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=686588
[2] https://bugzilla.gnome.org/show_bug.cgi?id=686586


-- 
olivier
Comment 4 Olivier Duchateau 2012-10-22 09:11:28 UTC
New location for Python files was rejected by upstream, so new patch which keeps old path.

-- 
olivier
Comment 5 Carlo Strub freebsd_committer 2014-09-11 20:02:23 UTC
Is this PR still relevant?
Comment 6 clutton 2015-06-21 16:20:37 UTC
(In reply to Carlo Strub from comment #5)

It is not. The original package is far away from this version.
Closing this pr would be wise in my opinion.
Comment 7 VK freebsd_triage 2016-12-12 18:33:16 UTC
Maintainer timeout, back to the pool.

This requires a new set of patches, the upstream is at 0.97 now.
Comment 8 Olivier Duchateau freebsd_committer 2016-12-12 18:43:35 UTC
(In reply to Vladimir Krstulja from comment #7)

- Pitivi 0.97.x depends of Gtk+ >= 3.20 and GStreamer 1.8.2
- Pitivi 0.98 depends of Gtk+ >= 3.20 and GStreamer 1.10.2

Currently we have (in ports tree) Gtk+ 3.18 and GStreamer 1.8.0. So the next update will come from the GNOME repository (I think).
Comment 9 Walter Schwarzenfeld freebsd_triage 2018-01-13 02:34:23 UTC
Any advance here?
Comment 10 Walter Schwarzenfeld freebsd_triage 2018-01-15 10:04:30 UTC
Created attachment 189742 [details]
svn-diff-pitivi-0.99
Comment 11 Walter Schwarzenfeld freebsd_triage 2018-01-15 10:56:24 UTC
Created attachment 189743 [details]
svn-diff-pitivi-0.99
Comment 12 Walter Schwarzenfeld freebsd_triage 2018-01-15 10:57:34 UTC
Compiles fine, but
pitivi
Traceback (most recent call last):
  File "/usr/local/bin/pitivi", line 155, in <module>
    _add_pitivi_path()
  File "/usr/local/bin/pitivi", line 65, in _add_pitivi_path
    print(_("Could not import 'gi'. "
NameError: global name '_' is not defined

this is any path "thing", but I did not find it.
Comment 13 Olivier Duchateau 2018-01-15 17:22:39 UTC
(In reply to w.schwarzenfeld from comment #12)

Your previous patches are completely wrong. Pitivi is written in Python3.

So you need also GObject Introspection (Python3 bindings, pygobject3) and especially Gtk3 and GStreamer (with the 1.0 API ports).

Required dependencies are:
- Gettext, intltool, meson
- Numpy (python3 version)
- Matplotlib (python3 version)
- Cairo (python3 version)
- SQLite3 (python3 version)
- libnotify
- gdkpixbuf2
- gstreamer1-editing-services (and others GStreamer plugins, but this port is mandatory)
- py-gstreamer1 (python3 version)
- gstreamer1-plugins-gtk
- gstreamer1-libav

Optional gstreamer1-plugins-vaapi.

And last but not least, your encoding system must be defined with UTF-8 (Gtk3 and GObject Introspection bindings work only with this encoding).
Comment 14 Olivier Duchateau 2018-01-15 17:25:29 UTC
(In reply to Olivier Duchateau from comment #13)

If UTF-8 is not your default encoding system, Pitivi crashes.
Comment 15 Walter Schwarzenfeld freebsd_triage 2018-01-15 23:19:19 UTC
I gave it up for the moment. I run into problems with FLAVOR.
Comment 16 Ben Woods freebsd_committer 2018-09-05 10:41:18 UTC
A patch to update multimedia/pitivi to 0.99 is under review here:
https://reviews.freebsd.org/D17042
Comment 17 commit-hook freebsd_committer 2018-12-11 20:31:25 UTC
A commit references this bug:

Author: kwm
Date: Tue Dec 11 20:31:03 UTC 2018
New revision: 487255
URL: https://svnweb.freebsd.org/changeset/ports/487255

Log:
  Update pitivi to 0.999

  * Forcably load numpy as soon as possible so the required gcc library can
    get pulled in. This fixes the problem of not being able to find numpy at all.

  PR:		172366
  Submitted by:	woodsb02@ (0.99 version + numpy patch),
  		Olivier Duchateau (earlier version),
  		Greg V (0.999 update)
  Differential Revision:	https://reviews.freebsd.org/D17042

Changes:
  head/multimedia/pitivi/Makefile
  head/multimedia/pitivi/distinfo
  head/multimedia/pitivi/files/patch-configure
  head/multimedia/pitivi/files/patch-pitivi_check.py
  head/multimedia/pitivi/pkg-plist